Pre-General Availability: 2026-02-23
Import OpenZeppelin/Hardhat Manifest and Contracts
post
/v1/contracts/manifests/import
Imports a manifest file, ABIs, and bytecodes for the associated contracts compiled and deployed via Hardhat.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
contracts(required): array
contracts
Addresses to register with ABI and deployed runtime bytecode. For each item, provide either blockNum or txHash.
-
manifest(required): object
manifest
OpenZeppelin/Hardhat manifest JSON
Nested Schema : contracts
Type:
arrayAddresses to register with ABI and deployed runtime bytecode. For each item, provide either blockNum or txHash.
Show Source
Nested Schema : manifest
Type:
objectOpenZeppelin/Hardhat manifest JSON
Nested Schema : items
Type:
Show Source
object-
abi(required): array
abi
Standard JSON ABI entries
-
address(required): string
20-byte 0x-prefixed address
-
blockNum: string
0x-prefixed hex or decimal block number
-
bytecode(required): string
Deployed runtime bytecode (0x-hex)
-
role: string
Allowed Values:
[ "proxy", "implementation", "impl", "library" ]Optional role hint -
txHash: string
0x-prefixed 32-byte transaction hash
Match One Schema
Show Source
Nested Schema : items
Type:
objectExamples
Back to Top
Response
Supported Media Types
- application/json
202 Response
Accepted
Root Schema : schema
Type:
objectAdditional Properties Allowed:
true400 Response
Validation error
Root Schema : ErrorResponse
Type:
Show Source
object-
decodedError: object
DecodedError
-
error: string
Short error summary suitable for display
-
hint: string
Optional guidance that may help resolve the error
-
message: string
Additional error details, when available
-
requestId: string
Client-provided correlation ID echoed in responses
-
upstreamCode: integer
Upstream node error code (if provided by the RPC endpoint)
-
upstreamData: string
Raw upstream error data payload (0x-hex or JSON), if available
Nested Schema : DecodedError
Type:
Show Source
object-
customError: object
customError
Decoded custom error as defined in the contract ABI
-
standardError: object
standardError
Decoded standard Error(string) revert
-
standardPanic: object
standardPanic
Decoded Panic(uint256) revert
Nested Schema : customError
Type:
objectDecoded custom error as defined in the contract ABI
Show Source
Nested Schema : standardError
Type:
objectDecoded standard Error(string) revert
Show Source
-
message: string
Revert message string
-
selector: string
Example:
0x08c379a0
Nested Schema : standardPanic
Type:
objectDecoded Panic(uint256) revert
Show Source
-
code: string
Panic code value (hex or decimal string)
-
meaning: string
Human-readable interpretation of the panic code, when known
-
selector: string
Example:
0x4e487b71
Nested Schema : DecodedArgument
Type:
Show Source
object-
indexed: boolean
Only for event parameters
-
name: string
May be empty if unknown
-
type: string
Canonical ABI type (for example, uint256, address, (uint256,address), uint256[])
-
value:
Normalized JSON value (address lowercase hex, bigints as decimal strings, bytes as 0x-hex)
500 Response
Internal error
Root Schema : ErrorResponse
Type:
Show Source
object-
decodedError: object
DecodedError
-
error: string
Short error summary suitable for display
-
hint: string
Optional guidance that may help resolve the error
-
message: string
Additional error details, when available
-
requestId: string
Client-provided correlation ID echoed in responses
-
upstreamCode: integer
Upstream node error code (if provided by the RPC endpoint)
-
upstreamData: string
Raw upstream error data payload (0x-hex or JSON), if available
Nested Schema : DecodedError
Type:
Show Source
object-
customError: object
customError
Decoded custom error as defined in the contract ABI
-
standardError: object
standardError
Decoded standard Error(string) revert
-
standardPanic: object
standardPanic
Decoded Panic(uint256) revert
Nested Schema : customError
Type:
objectDecoded custom error as defined in the contract ABI
Show Source
Nested Schema : standardError
Type:
objectDecoded standard Error(string) revert
Show Source
-
message: string
Revert message string
-
selector: string
Example:
0x08c379a0
Nested Schema : standardPanic
Type:
objectDecoded Panic(uint256) revert
Show Source
-
code: string
Panic code value (hex or decimal string)
-
meaning: string
Human-readable interpretation of the panic code, when known
-
selector: string
Example:
0x4e487b71
Nested Schema : DecodedArgument
Type:
Show Source
object-
indexed: boolean
Only for event parameters
-
name: string
May be empty if unknown
-
type: string
Canonical ABI type (for example, uint256, address, (uint256,address), uint256[])
-
value:
Normalized JSON value (address lowercase hex, bigints as decimal strings, bytes as 0x-hex)